[arch-commits] Commit in lib32-glib2/repos (4 files)

Jan Steffens heftig at archlinux.org
Thu Jul 2 18:09:09 UTC 2020


    Date: Thursday, July 2, 2020 @ 18:09:09
  Author: heftig
Revision: 657505

archrelease: copy trunk to multilib-testing-x86_64

Added:
  lib32-glib2/repos/multilib-testing-x86_64/
  lib32-glib2/repos/multilib-testing-x86_64/PKGBUILD
    (from rev 657503, lib32-glib2/trunk/PKGBUILD)
  lib32-glib2/repos/multilib-testing-x86_64/gio-querymodules-32.hook
    (from rev 657503, lib32-glib2/trunk/gio-querymodules-32.hook)
  lib32-glib2/repos/multilib-testing-x86_64/multilib.diff
    (from rev 657503, lib32-glib2/trunk/multilib.diff)

--------------------------+
 PKGBUILD                 |   67 +++++++++++++++++++++++++++++++++++++++++++++
 gio-querymodules-32.hook |   11 +++++++
 multilib.diff            |   12 ++++++++
 3 files changed, 90 insertions(+)

Copied: lib32-glib2/repos/multilib-testing-x86_64/PKGBUILD (from rev 657503, lib32-glib2/trunk/PKGBUILD)
===================================================================
--- multilib-testing-x86_64/PKGBUILD	                        (rev 0)
+++ multilib-testing-x86_64/PKGBUILD	2020-07-02 18:09:09 UTC (rev 657505)
@@ -0,0 +1,67 @@
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+# Contributor: Pierre Schmitz <pierre at archlinux.de>
+# Contributor: Mikko Seppälä <t-r-a-y at mbnet.fi>
+
+pkgname=lib32-glib2
+pkgver=2.64.4
+pkgrel=1
+pkgdesc="Low level core library (32-bit)"
+url="https://wiki.gnome.org/Projects/GLib"
+license=(LGPL2.1)
+arch=(x86_64)
+depends=(lib32-pcre lib32-libffi lib32-util-linux lib32-zlib glib2)
+makedepends=(gettext gtk-doc shared-mime-info python lib32-libelf git util-linux
+             meson lib32-dbus)
+checkdepends=(desktop-file-utils lib32-glib2)
+_commit=551bd5c1d1db1aa10d71acb9cde6a088a374d8bb  # tags/2.64.4^0
+source=("git+https://gitlab.gnome.org/GNOME/glib.git#commit=$_commit"
+        multilib.diff
+        gio-querymodules-32.hook)
+sha256sums=('SKIP'
+            '2611ec4c97346c3c4eea61786ee20c801207135a9d52a771f5f340b41bf69fbc'
+            'c37b2777d6c7b9d2eb6003d8bdb72175f889013bc4d582b3f7a12fc7419a2d6d')
+
+pkgver() {
+  cd glib
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd glib
+
+  # Test suite workaround
+  git apply -3 ../multilib.diff
+}
+
+build() {
+  export CC="gcc -m32 -mstackrealign"
+  export CXX="g++ -m32 -mstackrealign"
+  export PKG_CONFIG="i686-pc-linux-gnu-pkg-config"
+
+  CFLAGS+=" -DG_DISABLE_CAST_CHECKS"
+  arch-meson glib build \
+    -D selinux=disabled \
+    --libdir=/usr/lib32
+  meson compile -C build
+}
+
+check() {
+  # Spurious wakeups in g_cond_wait_until, only on lib32
+  meson test -C build --no-suite flaky --no-suite slow --print-errorlogs || :
+}
+
+package() {
+  depends+=(libmount.so)
+  provides+=(libgio-2.0.so libglib-2.0.so libgmodule-2.0.so libgobject-2.0.so
+             libgthread-2.0.so)
+
+  DESTDIR="$pkgdir" meson install -C build
+
+  rm -r "$pkgdir"/usr/{share,include}
+  find "$pkgdir/usr/bin" -type f -not -name gio-querymodules -printf 'Removing %P\n' -delete
+  mv "$pkgdir"/usr/bin/gio-querymodules{,-32}
+
+  install -Dt "$pkgdir/usr/share/libalpm/hooks" -m644 *.hook
+}
+
+# vim:set sw=2 et:

Copied: lib32-glib2/repos/multilib-testing-x86_64/gio-querymodules-32.hook (from rev 657503, lib32-glib2/trunk/gio-querymodules-32.hook)
===================================================================
--- multilib-testing-x86_64/gio-querymodules-32.hook	                        (rev 0)
+++ multilib-testing-x86_64/gio-querymodules-32.hook	2020-07-02 18:09:09 UTC (rev 657505)
@@ -0,0 +1,11 @@
+[Trigger]
+Type = Path
+Operation = Install
+Operation = Upgrade
+Operation = Remove
+Target = usr/lib32/gio/modules/*.so
+
+[Action]
+Description = Updating 32-bit GIO module cache...
+When = PostTransaction
+Exec = /usr/bin/gio-querymodules-32 /usr/lib32/gio/modules

Copied: lib32-glib2/repos/multilib-testing-x86_64/multilib.diff (from rev 657503, lib32-glib2/trunk/multilib.diff)
===================================================================
--- multilib-testing-x86_64/multilib.diff	                        (rev 0)
+++ multilib-testing-x86_64/multilib.diff	2020-07-02 18:09:09 UTC (rev 657505)
@@ -0,0 +1,12 @@
+diff --git i/gio/tests/meson.build w/gio/tests/meson.build
+index 65f43e267..3bd66bf60 100644
+--- i/gio/tests/meson.build
++++ w/gio/tests/meson.build
+@@ -598,6 +598,7 @@ if not meson.is_cross_build() or meson.has_exe_wrapper()
+                  '-r',
+                  '-b','binary',
+                  '@INPUT@',
++                 '--oformat', 'elf32-i386',
+                  '-o','@OUTPUT@'])
+ 
+     # Rename symbol to match the one in the C file


More information about the arch-commits mailing list